<?php
/**
 * Restaurant And Cafe Template Hooks.
 *
 * @package rara_readable
 */

/** Import content data*/
if ( ! function_exists( 'rara_readable_import_files' ) ) :
function rara_readable_import_files() {
  $upload_dir = wp_upload_dir();
    return array(
        array(
            'import_file_name'             => 'Rara Readable Demo',
            'local_import_file'            => $upload_dir['basedir'] . '/rara-demo-pack/rara-readable-demo-content/content/rarareadable.xml',
            'local_import_widget_file'     => $upload_dir['basedir'] . '/rara-demo-pack/rara-readable-demo-content/content/rarareadable.wie',
            'local_import_customizer_file' => $upload_dir['basedir'] . '/rara-demo-pack/rara-readable-demo-content/content/rarareadable.dat',
            'import_preview_image_url'     => get_template_directory() .'/screenshot.png',
            'import_notice'                => __( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'rara-readable' ),
        ),
    );       
}
add_filter( 'rrdi/import_files', 'rara_readable_import_files' );
endif;

/** Programmatically set the front page and menu */
if ( ! function_exists( 'rara_readable_after_import' ) ) :

  function rara_readable_after_import( $selected_import ) {
      
      //Set Menu
      $primary   = get_term_by('name', 'Primary', 'nav_menu');
      set_theme_mod( 'nav_menu_locations' , array( 
            'primary-menu'   => $primary->term_id
           ) 
      );

      /*Removing unwanted widget from the frontpage*/
      $sidebar_options = get_option( 'sidebars_widgets' );
      $new_sidebar = array();
      foreach( $sidebar_options as $k => $v ){
          if( $k == 'footer-sidebar' ){
              $new_sidebar[$k] = array( 'text-2','nav_menu-2','recent-posts-4' );
          }else{
              $new_sidebar[$k] = $v;
          }
      }
      if( $new_sidebar ) update_option( 'sidebars_widgets', $new_sidebar );
  }
  add_action( 'rrdi/after_import', 'rara_readable_after_import' );
endif;


function rara_readable_import_msg(){
    return __( 'Before you begin, make sure all recommended plugins are activated.', 'rara-readable' );
}
add_filter( 'rrdi_before_import_msg', 'rara_readable_import_msg' );